var edit = true;
var admin = true;
var preview = false;
var edit_lancamento = true;

var $incorporadora      = $('.incorporadora').data('incorporadora');
var $id_responsavel     = $incorporadora.id_responsavel;
var $id_incorporadora   = $incorporadora.id_incorporadora;
var $id_empreendimento  = $('.id_empreendimento').data('id_empreendimento');
var $id_imovel          = $('.id_imovel').data('id_imovel');
var $id_config          = $(".id_config").data('id_config');
var $id_inv_midia       = $(".id_inv_midia").data('id_inv_midia');
var $bloqueioCep = false;

$(window).on('load', function(){
    $('.d-none').hide();
    $('.d-none').removeClass('d-none');
    
    iniUploadS3('#div_logo',function(url){
        get_ajax(get_form('.formAtualizaIncorporadora'), 'administrativo/ajax/incorporadora_ajax/atualiza_incorporadora');
    }, {path: 'incorporadora/'+$id_incorporadora+'/'+$id_empreendimento+'/logo'});
    
});

$('body').on('keyup','input[name=cep]', function(){
    setEndereco($(this).val());
});


$('body').on('click','.btnListAddParceiro', function(){
    $div = $(this).parent();
    $div.find('.btnListAddParceiro').hide();
    $div.find('.actListAddParceiro').show();
    resetBtnParceiro($div);
    
});

$('body').on('click','.actListAddParceiro', function(){
   
    //$aqui = $(this).parent().parent().parent().parent();
    
    $data = {
        id_incorporadora: $id_incorporadora,
        id_parceiro: $(this).data('id_parceiro')
    }
    
    get_ajax($data, 'administrativo/ajax/incorporadora_ajax/addParceiro', 
        success =>{
            location.reload();
        });
});

function resetBtnParceiro($div)
{
    setTimeout(function(){
        $div.find('.actListAddParceiro').hide();
        $div.find('.btnListAddParceiro').show();
    }, 3000);
}

function setEndereco(strigCep)
{
    var expre = /[^\d]/g;
    cep = strigCep.replace(expre,'');
    contCep = cep.length;
   
    if(contCep >= 8 && $bloqueioCep == false)
    {
        $(".info-cep").html("<span class='loading-input'><i class='fa fa-circle-o-notch fa-spin'></i></span>");
        
        $bloqueioCep = true;
        var data = {
        cep : strigCep
        };
        $.ajax({
    		url: base_url+"comdono/ajax/get_ajax/buscar_cep",
    		dataType: 'json',
    		type: 'POST',
    		data: data,
    		success: function(retorno)
    		{
    		    if(retorno.valid == true)
    		    {
    		        $("input[name=endereco]").val(retorno.logradouro.trim()).prop('disabled', true);
    		        $("input[name=bairro]").val(retorno.bairro.trim()).prop('disabled', true);
    		        $("input[name=cidade]").val(retorno.cidade.trim()).prop('disabled', true);
    		        $("input[name=estado]").val(retorno.uf.trim()).prop('disabled', true);
    		        
    		        $('input[name=bairro_lat]').val(retorno.b_lat);
                    $('input[name=bairro_long]').val(retorno.b_long);
    		        
    		        $("input[name=end_endereco]").val(retorno.logradouro.trim());
    		        $("input[name=end_bairro]").val(retorno.bairro.trim());
    		        $("input[name=end_cidade]").val(retorno.cidade.trim());
    		        $("input[name=end_estado]").val(retorno.uf.trim());
    		        $("input[name=end_cep]").val(strigCep);
    		        
    		        
    		        $(".info-cep").html("");
    		        resetMap();
    		    }
    		    else
    		    {
    		        $(".info-cep").html("<span class='error-form'>"+retorno.error+"</span>");
    		        $("input[name=endereco]").val('').prop('disabled', false);
    		        $("input[name=bairro]").val('').prop('disabled', false);
    		        $("input[name=cidade]").val('').prop('disabled', false);
    		        $("input[name=estado]").val('').prop('disabled', false);
                    $("input[name=numero]").val('').prop('disabled', false);
                    $("input[name=complemento]").val('').prop('disabled', false);
    		        
    		        $('input[name=bairro_lat]').val('');
                    $('input[name=bairro_long]').val('');
    		    }
    		},
    		error: function(error)
    		{
    			console.log(error);
    		}
    	});	
    }
    
    if(contCep < 8)
    {
        $bloqueioCep = false;
        $("input[name=endereco]").val('').prop('disabled', false);
        $("input[name=bairro]").val('').prop('disabled', false);
        $("input[name=cidade]").val('').prop('disabled', false);
        $("input[name=estado]").val('').prop('disabled', false);
        $("input[name=numero]").val('').prop('disabled', false);
        $("input[name=complemento]").val('').prop('disabled', false);
        
        $('input[name=bairro_lat]').val('');
        $('input[name=bairro_long]').val('');
    }
}

function cadastraGeocoder(bairro, bairro_lat, bairro_long)
{
    //NECESSARIO APENAS POR CONTA DO initGoogleMaps PORÉM NAO PRECISA
    /*data = {
        bairro  :bairro,
        lat     :bairro_lat,
        long    :bairro_long
    };
    $.ajax({
		url: base_url+"comdono/ajax/cad_ajax/set_geo_bairro",
		dataType: 'json',
		type: 'POST',
		data: data,
		success: function(retorno){},error: function(error){console.log(error);}
	});*/
}

$('a.nav-link').on('click', function (e) {
    $('a.nav-link').not(this).removeClass('active');
    /*e.preventDefault()
    $(this).tab('show')*/
    
    $("html, body").animate({ scrollTop: 0 }, 600);
    
    location.hash = $(this).attr('href');
})

// on load of the page: switch to the currently selected tab
var hash = window.location.hash;
if(hash)
{
    $('#accordion a[href="' + hash + '"]').tab('show');
    var id_accordion = $('a.nav-link[href="' + hash + '"]').parents('.collapse').attr('id');
    $('#accordion a.collapsed[href="#' + id_accordion + '"]').trigger('click');
}

function iniUploadS3(div, callbeckAtualiza = function(url){}, post = {})
{
    fileupload(div, callbeckAtualiza, 'administrativo/ajax/incorporadora_ajax/upload_s3', post)
}

$('body').on('change','.autoSave', function(){
   
    var idI = $(this).data('id_imovel');
    var name = $(this).data("name");
    var val = $(this).val();
    
    var form = [];
    
    form.push({"name": 'id_imovel', "value": idI});
    
    if(name == 'status_imovel' && !$(this).is(':checked'))
        form.push({"name": name, "value": ''});
    else
        form.push({"name": name, "value": val});
    
    if(name == 'val_pretendido' || name == 'area_total')
    {
        $card = $(this).parents('.card-body');
        vtm = $card.find('.val_public_total_metro').val();
        vtt = $card.find('.val_public_total').val();
        form.push({"name": "val_public_total_metro", "value": vtm});
        form.push({"name": "val_public_total", "value": vtt});
    }
    get_ajax(form, 'administrativo/ajax/incorporadora_ajax/atualiza_imovel');
    	
});

/*$('body').on('change','input[name=tipo_empreendimento]', function(){
    
    $tipo_empreendimento = $("input[name='tipo_empreendimento']:checked").val();
    
    $("input[name='data_lancamento']").val("");
    $("input[name='previsao_entrega']").val("");
    $('.data_lancamento').hide();
    $('.data_lancamento').removeClass('d-block');
    $('.previsao_entrega').hide();
    $('.previsao_entrega').removeClass('d-block');
    
    if($tipo_empreendimento == "lancamento"){
        $('.data_lancamento').show();
        $('.previsao_entrega').hide();
    }
    
    if($tipo_empreendimento == "em_obra"){
        $('.data_lancamento').show();
        $('.previsao_entrega').show();
    }
});*/

$('body').on('click','.btnAbrirAddUnidadeImovel', function(){
    
    $('.divBtnAbrirAddUnidadeImovel').hide();
    $('.divAddUndidadeImovel').show();
    
});

$('body').on('click','.btnAddUnidadeImovel', function(){
    loadButton($(this));
    $data = get_form('.formAddUndidadeImovel');
    
    get_ajax($data, 'administrativo/ajax/incorporadora_ajax/add_unidade_imovel', 
        success =>{
            location.reload();
        });
});

$('body').on('click','.btnAtualizaImovel', function(){
    loadButton($(this));
    $data = get_form('.formAtualizaImovel');
    
    get_ajax($data, 'administrativo/ajax/incorporadora_ajax/atualiza_imovel', 
        success =>{
            msgSuccess('.msgAtualizaImovel',success);
            location.reload();
        },
        erro =>{
            msgErro('.msgAtualizaImovel',erro);
            
        });
});

$('body').on('click','.btnCriaLp', function(){
    
    $data = {
        id_imovel: $id_imovel
    };
    
    get_ajax($data, 'administrativo/ajax/incorporadora_ajax/ini_config_lp', 
        success =>{
            $id_config = success.id_config;
            location.reload();
            $('.btnCriaLp').hide();
            $('.checkLpConfig').show();
        });
});

$('body').on('click','.btnAddImovel', function(){
    
    $data = get_form('.formAddEmpreendimento');
    
    get_ajax($data, 'administrativo/ajax/incorporadora_ajax/ini_imovel', 
        success =>{
            $id_imovel = success.id_imovel;
            location.reload();
            $('.btnAddImovel').hide();
            $('.checkImovel').show();
        });
});

$('body').on('click','.btnAtualizaIncorporadora', function(){
    loadButton($(this));
    $data = get_form('.formAtualizaIncorporadora');
    
    get_ajax($data, 'administrativo/ajax/incorporadora_ajax/atualiza_incorporadora', 
        success =>{
            location.reload();
        },
        erro =>{
            msgErro('.erroAtualizaIncorporadora',erro);
        });
});


$('body').on('submit','form.formAddEmpreendimento', function(e){
    e.preventDefault();
    
    $data = get_form('.formAddEmpreendimento');
    
    get_ajax($data, 'administrativo/ajax/incorporadora_ajax/ini_empreendimento', 
        success =>{
            //document.location.href = base_url+'administrativo/incorporadora/empreendimento/'+success.id_empreendimento;
            location.reload();
        });
    
    return false;
});

$('body').on('submit','form.formAddParceiro', function(e){
    e.preventDefault();
    
    loadButton($('.btnAddParceiro'));
    
    $data = get_form('.formAddParceiro');
    
    get_ajax($data, 'administrativo/ajax/incorporadora_ajax/addParceiro', 
        success =>{
            location.reload();
        });
    
    return false;
});

$(".formAtualizaParceiro").submit(function(e) {
    e.preventDefault();
    e.stopPropagation();
    
    $data = get_form(this);
    
    get_ajax($data, 'administrativo/ajax/incorporadora_ajax/atualiza_parceiro', 
        success =>{
            msgSuccess($(this).find('.msgAtualizaParceiro'),success);
    });
});


$(".formAtualizaParEmp").submit(function(e) {
    e.preventDefault();
    e.stopPropagation();
    
    loadButton($('.btnAtualizaParEmp'));
    $data = get_form(this);
    
    get_ajax($data, 'administrativo/ajax/incorporadora_ajax/atualiza_parceiro_empreendimento', 
        success =>{
            msgSuccess($(this).find('.msgAtualizaParceiro'),success);
    });
});


$('body').on('click','.btnAtualizaempreendimento', function(){
    
    loadButton($(this));
    
    $data = get_form('.formAtualizaempreendimento');
    
    var proAceita = $("input[name='proAceita']").val();
    
    if(proAceita == "sim"){
        $data.push({"name": 'pro_status', "value": 'Aceita'});
    }
    
    get_ajax($data, 'administrativo/ajax/incorporadora_ajax/atualiza_empreendimento', 
        success =>{
            msgSuccess('.msgAtualizaempreendimento',success);
            location.reload();
        });
});

$('body').on('click','.btnEnviarAcesso', function(){
    $empreendimento = $(this).data('empreendimento');
    $incorporadora = $(this).data('incorporadora');
    $apelido = $(this).data('apelido');
    $pro_data_envio = $(this).data('pro_data_envio'); 
    window.open('https://api.whatsapp.com/send?phone=5561991196482&text='+base_url+'proposta-inteligente/'+$incorporadora.login+' %0A Login: '+$incorporadora.login+' %0A Senha: '+$incorporadora.senha+'','_blank');
    /*window.open('https://api.whatsapp.com/send?phone=5561991196482&text='+base_url+'lp/venda-inteligente/'+$incorporadora.login+'/'+$empreendimento.id_empreendimento+' %0A Login: '+$incorporadora.login+' %0A Senha: '+$incorporadora.senha+'','_blank');*/
    
    if($empreendimento.pro_status == "Aguardando envio"){
        $data = {
            id_empreendimento: $empreendimento.id_empreendimento,
            pro_status: 'Enviada',
            proposta: 1,
            pro_data_envio: $pro_data_envio
        };
        get_ajax($data, 'administrativo/ajax/incorporadora_ajax/atualiza_empreendimento', 
            success =>{
                location.reload();
            });
    }    
});

$('body').on('click','.btnGerarContrato', function(){
    
    $empreendimento = $(this).data('empreendimento');
    $con_data = $(this).data('con_data');
    $con_link = $("input[name*='con_link']").val();
    $id_plano = $('input[name="id_plano"]').val();
    
    if($empreendimento.contrato == 0){
        $data = {
            id_empreendimento: $empreendimento.id_empreendimento,
            id_plano: $id_plano,
            con_data: $con_data,
            con_link : $con_link,
            con_status: "Aguardando assinatura",
            contrato: 1
        };
        get_ajax($data, 'administrativo/ajax/incorporadora_ajax/atualiza_empreendimento', 
            success =>{
                location.reload();
            });
    }
});


$('#formContrato').submit(function(e) {
    e.preventDefault();
    loadButton($('.btnContrato'));
    get_ajax(get_form(this), 'incorporadora/ajax/incorporadora_ajax/aceitaContrato', 
        success =>{
            location.reload();
        }
    );
});


$('body').on('click','.btnAtualizaConfigLp', function(){
    
    loadButton($(this));
    
    get_ajax(get_form('.formAtualizaConfigLp'), 'administrativo/ajax/incorporadora_ajax/atualiza_config_lp', 
        success =>{
            msgSuccess('.msgAtualizaConfigLp',success);
            //location.reload();
        });
});

//Unidades
$('body').on('click','.btnAbrirAddUnidade', function(){
    
    $('.divBtnAbrirAddUnidade').hide();
    $('.divAddUnidade').show();
});

$('body').on('click','.btnAddUnidade', function(){
    
    console.log(get_form('.formAddUnidade'));
    
    loadButton($(this));
    get_ajax(get_form('.formAddUnidade'), 'administrativo/ajax/incorporadora_ajax/insert_unidade', 
        success =>{
            //msgSuccess('.msgAddDiferencial',success);
            location.reload();
        });
});

$(".formAtualizaUnidade").submit(function(e) {
    e.preventDefault();
    e.stopPropagation();
    
    $data = get_form(this);
    
    get_ajax($data, 'administrativo/ajax/incorporadora_ajax/atualiza_unidade', 
        success =>{
            msgSuccess($(this).find('.msgAtualizaUnidade'),success);
    });
});

//Diferenciais
$('body').on('click','.btnAbrirAddDiferencial', function(){
    
    $('.divBtnAbrirAddDiferencial').hide();
    $('.divAddDiferencial').show();
    
});

$('body').on('click','.btnAddDirefencial', function(){
    
    loadButton($(this));
    get_ajax(get_form('.formAddDirefencial'), 'administrativo/ajax/incorporadora_ajax/insert_diferencial', 
        success =>{
            msgSuccess('.msgAddDiferencial',success);
            location.reload();
        });
});

$(".formAtualizaDiferencial").submit(function(e) {
    e.preventDefault();
    e.stopPropagation();
    
    $data = get_form(this);
    
    get_ajax($data, 'administrativo/ajax/incorporadora_ajax/atualiza_diferencial', 
        success =>{
            msgSuccess($(this).find('.msgAtualizaDiferencial'),success);
    });
});

//Comodidades
$('body').on('click','.btnAbrirAddComodidade', function(){
    
    $('.divBtnAbrirAddComodidade').hide();
    $('.divAddComodidade').show();
});

$('body').on('click','.btnAddComodidade', function(){
    
    console.log(get_form('.formAddComodidade'));
    
    loadButton($(this));
    get_ajax(get_form('.formAddComodidade'), 'administrativo/ajax/incorporadora_ajax/insert_comodidade', 
        success =>{
            //msgSuccess('.msgAddDiferencial',success);
            location.reload();
        });
});

$(".formAtualizaComodidade").submit(function(e) {
    e.preventDefault();
    e.stopPropagation();
    
    $data = get_form(this);
    
    get_ajax($data, 'administrativo/ajax/incorporadora_ajax/atualiza_comodidade', 
        success =>{
            msgSuccess($(this).find('.msgAtualizaComodidade'),success);
    });
});

/*$('body').on('click','.btnAtualizaDiferencial', function(){
    
    loadButton($(this));
    
    $data = get_form('.formAtualizaDiferencial');
    
    get_ajax($data, 'administrativo/ajax/incorporadora_ajax/atualiza_diferencial', 
        success =>{
            msgSuccess('.msgAtualizaDiferencial',success);
            //location.reload();
        });
});*/

function msgSuccess($div, $success){
    setAlert($div, $success.msg, 'success');
}
function msgErro($div, $erro){
    if($erro.msg != undefined)
        setAlert($div, $erro.msg, 'danger');
    else{
        //$msg = "<b>"+$($($erro.responseText)[7]).find('h1').text()+"</b>, "+$($($erro.responseText)[7]).find('p').text()
            console.log($erro.responseText);
                msg = $($($erro.responseText)[7]).find('h1').text();
            if(msg == '')
                msg = $($erro.responseText)[8].find('h1').text();
             if(msg == '')
                msg =   $($erro.responseText).find('h4').text()+'\n'+$($($erro.responseText).find('p')[1]).text();
            if(msg == '')
                msg =   "ERRO!";
                    
        setAlert($div, msg, 'danger');
    }
}
function setAlert($div, $msg, $cor){
    $html = '<div class="alert alert-'+$cor+' alert-dismissible fade show" role="alert">' +
         $msg +
    '    <button class="close" type="button" data-dismiss="alert" aria-label="Close">' +
    '        <span aria-hidden="true">×</span>' +
    '    </button>' +
    '</div>';
    $($div).html($html); 
}
// VARIAVES PARA O LOAD BUTTON
var textLoad = "<i class='fa fa-circle-o-notch fa-spin'></i>";
var textButton = '';
var btn = null;
function loadButton(button = null, disabled = true)
{
    if(button != null)
        btn = button;
        
    if(disabled == true)
    {
        textButton = btn.html();
        btn.prop('disabled', true);
        btn.html(textLoad);//+' '+textButton
    }
    else
    {
	    if(btn != null){
            	btn.prop('disabled', false);
	    	btn.html(textButton);
	    	btn = null;
	    }
    }
}



function get_form($form)
{
    data = [];
    var nameRadio = [];
    
    //$($form).find('input:not([type=radio]):input:not([type=checkbox]):input:not([type=file])').each(function(key,value){
    $($form).find('input:not([type=radio]):input:not([type=checkbox]):input:not([type=file])').each(function(key,value){
        if(this.name != "")
            data.push({"name": this.name, "value": this.value});
    });
    
    $($form).find('input[type=file]').each(function(key,value){
        if(this.name != ""){
            data.push({"name": this.name, "value": $(this).data('value')});
        }
    });
    
    $($form).find('textarea').each(function(key,value){
       
        if(this.name != "")
        {
            if(CKEDITOR.instances[this.name] != undefined){
                 //data.push({"name": this.name, "value": CKEDITOR.instances[this.name].getData()});
                 ckeditorValue = $($($($('#cke_'+this.id)[0])[0]).find('iframe').contents().find("body")).html();
                 data.push({"name": this.name, "value": ckeditorValue});
                 if(ckeditorValue == undefined)
                    data.push({"name": this.name, "value": this.value});
            }
            else
            {
                data.push({"name": this.name, "value": this.value});
            }
        }
    });
    
    $($form).find('input[type=radio]').each(function(key,value){
        if(nameRadio[this.name] == undefined)
            nameRadio[this.name] = '';
        if($(this).is(':checked'))
            nameRadio[this.name] = this.value;
    });
    
    for(var name in nameRadio){
        data.push({"name": name, "value": nameRadio[name]});
    };
    
    $($form).find('select option:selected').each(function(key,value)    {
        if(this.parentElement.localName == 'select')
            data.push({"name": this.parentElement.name, "value": this.value});
            
        if(this.parentElement.parentElement.localName == 'select')
            data.push({"name": this.parentElement.parentElement.name, "value": this.value});
    });
    
    $($form).find('input[type=checkbox]:checked').each(function(key,value)    {
        if(this.name != "")
            data.push({"name": this.name, "value": this.value});
    });
    
    $($form).find('input[type=checkbox]:not(:checked)').each(function(key,value)    {
        if(this.name != "")
            data.push({"name": this.name, "value": ""});
    });
    
    data.push({"name": 'id_empreendimento', "value": $id_empreendimento});
    data.push({"name": 'id_incorporadora', "value": $id_incorporadora});
    data.push({"name": 'id_responsavel', "value": $id_responsavel});
    data.push({"name": 'id_imovel', "value": $id_imovel});
    data.push({"name": 'id_config', "value": $id_config});
    data.push({"name": 'id_inv_midia', "value": $id_inv_midia});
    
    if(typeof getLatitude == 'function' && typeof getLogitude  == 'function') 
    { 
        data.push({
            name: "latitude",
            value: getLatitude()
        });
        data.push({
            name: "longitude",
            value: getLogitude()
        });
    }
    
    return data;
}



/*
function get_ajax

$func = nome da funcao no php
$success = funcao Callbeck, exemplo = "retorno =>{alert('deu bom');}"
$error = funcao Callbeck
$data = objeto passado no post ajax
*/
function get_ajax($data = [], $uri, $success = null, $error = null ){
    
    if($error == null)
    {
        $error = function($erro){
            if($erro.msg != undefined)
                alert($erro.msg);
            else{
                console.log($erro.responseText);
                    msg = $($($erro.responseText)[7]).find('h1').text();
                if(msg == '')
                    msg = $($($erro.responseText)[8]).find('h1').text();
                if(msg == '')
                    msg =   $($erro.responseText).find('h4').text()+'\n'+$($($erro.responseText).find('p')[1]).text();
                if(msg == '' || msg == undefined || msg == 'undefined')
                    msg =   "ERRO!";
                alert(msg);
            }
        };
    }
    
    if($success == null)
    {
        $success = function(e){
            //e);
        };
    }
    
    $.ajax({
		url: base_url+$uri, 
		dataType: 'json',
		type: 'POST',
		data: $data,
		success: function(retorno)
		{
		    loadButton(null,false);
		    if(retorno.valid == false)
		    {   
		        $error(retorno);
		    }
		    else
		    {
		        $success(retorno)
		    }
		},
		error: function(error)
		{
		    loadButton(null,false);
		    $error(error);
		}
    });
    
 }

//---- U P L O A D -------------------
var divs = [];
function atualizaDiv(div)
{
    divUpl = $(div);
    divs[div] = {
        divUpl                : $(div),
        intupFile             : divUpl.find('input[type=file]')[0],
        div_input             : divUpl.find('.container_upl_input')[0],
        div_img               : divUpl.find('.container_upl_img')[0],
        div_load              : divUpl.find('.container_upl_load')[0],
        btn_pergunta_remover  : divUpl.find('.btn_pergunta_remover_upl')[0],
        btn_remover           : divUpl.find('.btn_remover_upl')[0],
        div_img_background    : divUpl.find('.div_img_background')[0],
    };
    return divs[div];
}



function fileupload(div,callbeckAtualiza, $ajaxUri, $post = {})
{
    atualizaDiv(div);
    divUpl                = divs[div].divUpl;
    intupFile             = divs[div].intupFile;
    div_input             = divs[div].div_input;
    div_img               = divs[div].div_img;
    div_load              = divs[div].div_load;
    btn_pergunta_remover  = divs[div].btn_pergunta_remover;
    btn_remover           = divs[div].btn_remover;
    div_img_background    = divs[div].div_img_background;
    
    // Initialize the jQuery File Upload widget:
    $(intupFile).fileupload({
        dropZone: divUpl,
        formData: $post,
        url: base_url+$ajaxUri,
        autoUpload: true,
        acceptFileTypes: /(\.|\/)(gif|jpeg|jpg|png|mp4|xlsx|pdf)$/i,
        //maxFileSize: 1024 * 1024 * 3, // 3 Mb NA TEORIA
        disableImageResize: /Android(?!.*Chrome)|Opera/
            .test(window.navigator.userAgent),
        previewMaxWidth: 668,
        previewMaxHeight: 350,
        previewCrop: true,
        messages : {
          maxNumberOfFiles: 'Limite máximo atingido',
          acceptFileTypes: 'Extensão não permitida',
          maxFileSize: 'Limite máximo permitido de 3 Mb',
          minFileSize: 'Imagem menor que... '
        },
        uploadTemplateId: null,
        uploadTemplate: function (o) {
            var rows = $();
            return rows;
        },
    }).bind('fileuploadadded', function (e, data){
        
        atualizaDiv(div);
        div_input             = divs[div].div_input;
        div_img               = divs[div].div_img;
        div_load              = divs[div].div_load;
        
        $(div_input).hide();
        $(div_img).hide();
        $(div_load).show();
        
    }).fileupload().bind('fileuploaddone', function (e, data){
        
        atualizaDiv(div);
        intupFile             = divs[div].intupFile;
        div_input             = divs[div].div_input;
        div_img               = divs[div].div_img;
        div_load              = divs[div].div_load;
        btn_pergunta_remover  = divs[div].btn_pergunta_remover;
        btn_remover           = divs[div].btn_remover;
        div_img_background    = divs[div].div_img_background;
            
        if(data.result.valid == true)
        {
            url_s3 = data.result.url_s3
            
            file_ext = url_s3.substring(url_s3.lastIndexOf('.') + 1); 
            
            //console.log('inArray', $.inArray(file_ext, ['gif','jpeg','jpg','png'] ));
            
            if($.inArray(file_ext, ['gif','jpeg','jpg','png'] ) >= 0 )
            {
                //console.log('1 file_ext', file_ext);
                $(div_img_background).css('background-image','url(' + url_s3 + ')');
            }
            else if (file_ext == "mp4")
            {
                //console.log('2 file_ext', file_ext);
                $(div_img_background).css('background-image','url('+base_url+'themes/comdono/img/ico-file-mp4.png)');
            }
            else if (file_ext == "xlsx")
            {
                //console.log('2 file_ext', file_ext);
                $(div_img_background).css('background-image','url('+base_url+'themes/comdono/img/ico-file-xlsx.png)');
            }
            else
            {
                //console.log('3 file_ext', file_ext);
                $(div_img_background).css('background-image','url('+base_url+'themes/comdono/img/ico-file-pdf.png)');
            }
            
            
            
            //$(intupFile).removeAttr("data-value");
            //$(intupFile).attr("data-value", url_s3);
            $(intupFile).data("value", url_s3 );
            //$(div).find('input[name='+intupFile.name+']').data("value", url_s3 );
            
            //            console.log('value', $(intupFile).data("value"));
            //get_form('.formAtualizaempreendimento');
            
            $(div_load).hide();
            $(div_input).hide();
            $(div_img).show();
            
            $(btn_pergunta_remover).hide();
            $(btn_remover).show('clip');
            
            callbeckAtualiza(url_s3);
        } 
        else
        {
            $(div_img).hide();
            $(div_load).hide();
            $(div_input).show('clip');
            
            $(btn_pergunta_remover).hide();
            $(btn_remover).show();
            
            $(div_img_background).removeAttr("style");
            
            //console.log('value', $(intupFile).data("value"));
            //$(intupFile).removeAttr("data-value");
            //$(intupFile).removeData("value");
            
            alert("Ops! "+data.result.msg);
        }
        
    }).bind('fileuploadprocessfail', function (e, data) {
        
        atualizaDiv(div);
        intupFile             = divs[div].intupFile;
        div_input             = divs[div].div_input;
        div_img               = divs[div].div_img;
        div_load              = divs[div].div_load;
        btn_pergunta_remover  = divs[div].btn_pergunta_remover;
        btn_remover           = divs[div].btn_remover;
        div_img_background    = divs[div].div_img_background;
      
      
        $(div_img).hide();
        $(div_load).hide();
        $(div_input).show('clip');
        
        $(btn_pergunta_remover).hide();
        $(btn_remover).show();
        
        //console.log('value', $(intupFile).data("value"));
        //$(div_img_background).removeAttr("style");
        // $(intupFile).removeAttr("data-value");
        //$(intupFile).removeData("value");
        
        alert("Ops! "+data.files[0].error)
    });
    
    $(btn_remover).click(function () {
        atualizaDiv(div);
        btn_pergunta_remover  = divs[div].btn_pergunta_remover;
        
        $(this).hide();
        $(btn_pergunta_remover).show();
    });
    
    $(btn_pergunta_remover).click(function () {
    
        atualizaDiv(div);
        intupFile             = divs[div].intupFile;
        div_input             = divs[div].div_input;
        div_img               = divs[div].div_img;
        div_load              = divs[div].div_load;
        btn_remover           = divs[div].btn_remover;
        div_img_background    = divs[div].div_img_background;
        
        $(btn_remover).show();
        $(this).hide();
        
        $(div_img).hide();
        $(div_load).hide();
        $(div_input).show('clip');
        
        //$(div_img_background).removeAttr("style");
        //$(intupFile).removeAttr("data-value");
        //$(intupFile).removeData("value");
        
        $(intupFile).data("value", '' );
        //$(div).find('input[name='+intupFile.name+']').data("value", '' );
        
        //console.log('value', $(intupFile).data("value"));
        //get_form('.formAtualizaempreendimento'); 
        callbeckAtualiza('');
            
    });
    
    
}
//---- U P L O A D -------------------


function ajusta_height(){};
var id_imovel;
function iniFileupload(){
    $(function () {
    iniUri('admin');
    id_imovel = $id_imovel;
    
    
    //'use strict';
    // Initialize the jQuery File Upload widget:
    $('#fileupload').fileupload({
        dropZone: $('#fileupload_div'),
        formData: {id_imovel: $id_imovel , id_cadastro: $id_responsavel},
        url: base_url + URI.galeriaAjax+'do_upload_galery',
        autoUpload: true,
        acceptFileTypes: /(\.|\/)(gif|jpeg|jpg|png|mp4)$/i,
        //maxFileSize: 1024 * 468 * 1,
        maxFileSize: 1024 * 1024 * 20, // 3 Mb NA TEORIA
        // Enable image resizing, except for Android and Opera,
        // which actually support image resizing, but fail to
        // send Blob objects via XHR requests:
        disableImageResize: /Android(?!.*Chrome)|Opera/
            .test(window.navigator.userAgent),
        previewMaxWidth: 668,
        previewMaxHeight: 350,
        previewCrop: true,
        messages : {
          maxNumberOfFiles: 'Limite máximo atingido',
          acceptFileTypes: 'Extensão não permitida',
          maxFileSize: 'Limite máximo permitido de 1Mb',
          minFileSize: 'Imagem menor que... '
        },
        uploadTemplateId: null,
        uploadTemplate: function (o) {
        var rows = $();
        
        ttImg = ttImg + 1;
        
        if(ttImg == 1){
            var col = 'col-lg-12';   
            var gridH = 'principal';
        }
        else
        {
            var col = 'col-lg-4';
            var gridH = 'grid';
        }
        
        $.each(o.files, function (index, file) {
            var row = $('<div class="template-upload '+col+'">' +
                    '<div class="box">' +
                        '<div class="progress-upload"></div> ' +
                        '<div class="content-img '+gridH+'">' +
                            '<span class="preview"></span>' +
                        '</div>' +
                    '</div>' +
                '</div>' 
                );
            row.find('.name').text(file.name);
            row.find('.size').text(o.formatFileSize(file.size));
            if (file.error) {
                row.find('.error').text(file.error);
            }
            rows = rows.add(row);
        });
        return rows;
    },
        
    })
    .bind('fileuploadadded', function (e, data) {
        
      
        var cloneLoad = '<li class="sort-item container-upload-load '+data.originalFiles[0].lastModified+'">';
        cloneLoad += '<div class="box text-center container-img-load">';
        cloneLoad += '<label><i class="fa fa-circle-o-notch fa-spin"></i></label>';
        cloneLoad += '</div></li>';
        $('#sortable').append(cloneLoad);
        
    })
    .fileupload().bind('fileuploaddone', function (e, data) 
    {        
        $('.container-upload-load.'+data.originalFiles[0].lastModified).remove();
        
        //var error = data.result.file.error;
        //if(error === undefined)
        if(data.result.valid == true)
        {
            
            updateColBtnUpload();
            var img = data.result.file.name;
            var result = {
                id_imovel: $id_imovel,
                uri: data.result.file.uri,
                imagem: img, 
                size: data.result.file.size,
                edit_lancamento: edit_lancamento
            };
            
            update(result);
            
            var clone = '<li class="sort-item" data-id="" data-name="'+data.result.file.name+'" >';
            clone += '<div class="box">';
            clone += '<div class="container-actions container-move icon icon-move d-none-767"><i class="fa fa-arrows" aria-hidden="true"></i></div>';
            clone += '<div class="container-actions container-exluir icon act-click" data-id="0"><i class="fa fa-times" aria-hidden="true"></i></div>';
            clone += '<div class="container-actions container-exluir pergunta excluir_foto" data-pergunta="0" data-url="'+data.result.file.deleteUrl+'" >Remover?</div>';
	        clone += '<a href="'+data.result.file.url+'" title="'+data.result.file.name+'" download="'+data.result.file.name+'" data-gallery="" class="previewLink" >';
	        clone += '<div class="content-img grid" style="background-image: url('+data.result.file.url+');"></div>';
            clone += '</a>';
        	clone += '</div>';
        	clone += '<div class="add-legenda"><input  class="descricao_imagem"  type="text" name="descricao" value=""  data-imagem="'+data.result.file.name+'" placeholder="Adicionar Legenda"></div>';
            clone += '</li>';
            
            $('#sortable').append(clone);
            
        } 
        else
        {
            alert(data.result.msg);
            //alert('Erro ao carregar imagem', body, 'danger');
        }
    })
    .bind('fileuploadprocessfail', function (e, data) {
      
        var error = data.files[0].error;
        $.growl.error({
          title: "Ops!",
          message: error
        });
    });
});
}
















































//lixo//lixo//lixo//lixo//lixo//lixo//lixo//lixo//lixo//lixo//lixo//lixo//lixo//lixo//lixo//lixo//lixo//lixo//lixo//lixo//lixo